# LUM-ViT Model

This repository contains the implementation of the LUM-ViT model, an extension of the Vision Transformer (ViT) with additional token and channel masking capabilities. The main model is located in `LUM-ViT.py`.

## Dependencies

To ensure the LUM-ViT model operates correctly, it depends on the `VisionTransformer` class defined in `MAE.py`. The `VisionTransformer` provides the foundational transformer architecture upon which LUM-ViT builds additional functionality.

## Installation

Before running the model, you must have the following libraries installed:

- PyTorch: An open-source machine learning library used for applications such as computer vision and natural language processing. Please visit [PyTorch's official website](https://pytorch.org/) for installation instructions.

- Timm: A deep-learning library with a collection of image models, layers, and utilities. This can be installed via pip:

  ```sh
  pip install timm